LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

multiple client with one server problem

hello everyone 

i am facing an issue. actually i have modified labview 2012 built in example of multiple client with one server.in which server sends data to multiple clients connected to server. 

but in my modified version multiple clients are sending data to one server which should  display the data of different clients sequentially. 

but i am having a problem in this .when i connect first client to server it sends data fine,then i connect the second client it also sends data to server fine. but as soon as i connect 3rd client, data  of only 2 clients is being displayed at the server side with the delay i have set at client side. whereas 3rd cliend data is not visible. means at a time only 2 client data is  visible to me. i am attaching my VIs of server and all three clients.u can have a look and give ur valueable suggestion to cater this issue.

p.s: if i run the server & clients in debug mode, data of all three clients start displaying fine at server side.

0 Kudos
Message 1 of 3
(124 Views)

You are running almost-obsolete Software.  LabVIEW 2012 runs on Windows XP, Vista, and Windows 7.  Most PCs run Windows 10, which requires LabVIEW 2015 SP1.  NI supports the last 5 releases (I believe) of LabVIEW, so expect 2015 to go out of support when LabVIEW 2020 is released.  In particular, when I open your Server VI, I get a number of errors because of missing (obsolete?) VIs.

 

My recommendation would be to find a Windows 10 machine and install LabVIEW 2016 (if you have a license for it).  That's a pretty stable release (in my experience), and avoids the hassles of NIPM (don't ask!).  It also gives you two years before you need to upgrade again.  I also think you'll find the updated examples easier to understand and adapt to what you seem to be trying to do.

 

Bob Schor

0 Kudos
Message 2 of 3
(37 Views)

thanks bob for ur kind response but currently due to certain limitation i dont have the licensed version of labview 2016 or later. due to which i am compelled to implement my schemes in labview 2012. however i will try to find the one compatible with urs and share my VIs again. 

0 Kudos
Message 3 of 3
(22 Views)